Prediction Bot
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Prediction market exchange
polymarketPrediction market data
Missing slug or invalid slug
GET /api/v2/bot/signal/prediction/market/{exchange}/{slug} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's prediction signal bots
GET /api/v2/bot/signal/prediction HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's prediction signal bots
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the bot max 255 characters
My botThe folder id of the bot
12The id of a bot webhook
1The id of a bot Prediction API key
2Set to true to specify a market slug dynamically within the signal payload.
trueThe market url (required if slug_from_signal is false)
https://polymarket.com/event/elon-musk-of-tweets-april-21-april-28/elon-musk-of-tweets-april-21-april-28-180-199#xpkQ2pzSet if amount is coming from signal
falseThe amount of the bot in USDC (if amount_from_signal is false)
100Set how often the bot will check for new signals. eg. 10 means 10 in 1 second
10Bot created successfully
Missing required fields, invalid data, or limit exceeded
API key or webhook not found
POST /api/v2/bot/signal/prediction HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 266
{
"name": "My bot",
"folder_id": 12,
"webhook_id": "1",
"api_id": "2",
"slug_from_signal": true,
"url": "https://polymarket.com/event/elon-musk-of-tweets-april-21-april-28/elon-musk-of-tweets-april-21-april-28-180-199#xpkQ2pz",
"amount_from_signal": false,
"amount": 100,
"delay": 10
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Total number of Prediction signal bots
10GET /api/v2/bot/signal/prediction/total HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
Total number of Prediction signal bots
{
"total": 10
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Prediction signal bot data
Missing bot ID
Bot not found
GET /api/v2/bot/signal/prediction/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the bot max 255 characters
My botThe folder id of the bot
12The id of a bot webhook
1The id of a bot Prediction API key
2Set to true to specify a market slug dynamically within the signal payload.
trueThe market url (required if slug_from_signal is false)
https://polymarket.com/event/elon-musk-of-tweets-april-21-april-28/elon-musk-of-tweets-april-21-april-28-180-199#xpkQ2pzSet if amount is coming from signal
falseThe amount of the bot in USDC (if amount_from_signal is false)
100Set how often the bot will check for new signals. eg. 10 means 10 in 1 second
10Bot updated successfully
SuccessMissing required fields or invalid data
Bot, API key, or webhook not found
PUT /api/v2/bot/signal/prediction/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 266
{
"name": "My bot",
"folder_id": 12,
"webhook_id": "1",
"api_id": "2",
"slug_from_signal": true,
"url": "https://polymarket.com/event/elon-musk-of-tweets-april-21-april-28/elon-musk-of-tweets-april-21-april-28-180-199#xpkQ2pz",
"amount_from_signal": false,
"amount": 100,
"delay": 10
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Bot deleted successfully
SuccessMissing bot ID
Bot not found
DELETE /api/v2/bot/signal/prediction/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
ACTIVEPossible values: Status updated successfully
SuccessMissing bot ID, invalid status, or limit exceeded
Bot limit exceeded
Bot not found
PUT /api/v2/bot/signal/prediction/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"status": "ACTIVE"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Bot ID to duplicate
Bot duplicated successfully
Missing bot ID, bot not found, or limit exceeded
Bot or webhook not found
POST /api/v2/bot/signal/prediction/duplicate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13
{
"id": "text"
}No content
Last updated